## adequate 0.17.5

=== debian/changelog ===
adequate (0.17.5) unstable; urgency=medium

  * Commit the output of go-md2man so that we can drop it from Build-Depends.
    What feeds into it typically requires several manual steps anyway (see
    "Adding a new tag" in CONTRIB.md), so there's little value in running it
    on every build.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 04 Jan 2025 21:15:48 +0100

adequate (0.17.4) unstable; urgency=medium

  * Various implementation changes to make adequate build with gccgo-12.
    Relax version constraint on golang-any build-dependency to go 1.18.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 04 Jan 2025 20:34:47 +0100
