=== debian/control ===
Source: adequate
Section: utils
Priority: optional
Maintainer: Debian Adequate Maintainers <team+adequate-maint@tracker.debian.org>
Uploaders: Serafeim Zanikolas <sez@debian.org>
Build-Depends: debhelper (>= 13.4),
               debhelper-compat (= 13),
               golang-any (>= 2:1.18),
	       golang-github-google-go-cmp-dev,
	       dh-golang,
               python3,
               python3-apt
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/adequate.git
Vcs-Browser: https://salsa.debian.org/debian/adequate
Homepage: https://salsa.debian.org/debian/adequate
Rules-Requires-Root: no
XS-Go-Import-Path: salsa.debian.org/debian/adequate
Testsuite: autopkgtest-pkg-go, autopkgtest-pkg-adequate

Package: adequate
Architecture: any
Depends: debconf,
	 ${shlibs:Depends},
         ${misc:Depends},
Built-Using: ${misc:Built-Using}
Recommends: pkgconf
Description: Debian package quality testing tool
 adequate checks packages installed on the system and reports bugs and policy
 violations.
 .
 The following checks are currently implemented:
  * broken symlinks;
  * missing copyright file;
  * obsolete conffiles;
  * Python modules not byte-compiled;
  * missing libraries, undefined symbols, symbol size mismatches;
  * program name collisions;
  * missing alternatives;
  * missing binfmt interpreters and detectors;
  * missing pkg-config dependencies;
  * invalid user/group values in systemd/D-Bus/sysvinit files.
