=== debian/changelog ===
adequate (0.17.6) unstable; urgency=medium

  * Fix missing-pkgconfig-dependency checks for packages that ship .pc files
    in directories that are not in pkgconf's default search path. Closes:
    #1109018.
  * d/control:
    * Bump standards version (no changes needed).
    * Add Static-Built-Using; drop Built-Using.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 22 Aug 2025 22:31:31 +0200
