=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	       dh-golang,
                python3,
                python3-apt
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/adequate.git
 Vcs-Browser: https://salsa.debian.org/debian/adequate
 Homepage: https://salsa.debian.org/debian/adequate
@@ -23,7 +23,7 @@
 Depends: debconf,
 	 ${shlibs:Depends},
          ${misc:Depends},
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Recommends: pkgconf
 Description: Debian package quality testing tool
  adequate checks packages installed on the system and reports bugs and policy
