=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

%:
	dh $@ --builddirectory=_build --with=golang

override_dh_auto_clean:
	$(MAKE) -C tests/ clean
	rm -rf _build adequate

override_dh_auto_test:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	adt_adequate=_build/bin/adequate adt_testpkg=dpkg debian/tests/smoke-test
	$(MAKE) -C tests/ changes
endif

execute_before_dh_auto_build:
	sed -i -e 's/dummy-adequate-version/$(DEB_VERSION)/' \
		_build/src/salsa.debian.org/debian/adequate/adequate.go
execute_after_dh_auto_build:
	rm -rf _build/src _build/bin/private
